"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommentsRegex = exports.CommentStyle = void 0;
var CommentStyle;
(function (CommentStyle) {
    CommentStyle["FREE"] = "free";
    CommentStyle["MICROFOCUS"] = "microfocus";
})(CommentStyle = exports.CommentStyle || (exports.CommentStyle = {}));
var CommentsRegex;
(function (CommentsRegex) {
    function from(commentStyle) {
        switch (commentStyle) {
            case CommentStyle.FREE:
                return {
                    fileCommentsRegex: /^\s*\*>\*\*.*/,
                    documentationRegex: /^\s*\*>\*.*/,
                    contentRegex: /^\s*\*>[^*].*/,
                    cleanRegex: /^\s*\*>\**\s*/,
                };
            case CommentStyle.MICROFOCUS:
                return {
                    fileCommentsRegex: /^\s*\*>>>.*/,
                    documentationRegex: /^\s*\*>>.*/,
                    contentRegex: /^\s*\*>>[^>].*/,
                    cleanRegex: /^\s*\*>>\s*/,
                };
            default:
                throw new Error(`Not supported dialect: ${commentStyle}`);
        }
    }
    CommentsRegex.from = from;
})(CommentsRegex = exports.CommentsRegex || (exports.CommentsRegex = {}));
